<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Scheduler\Contracts;

use PpPhp\Core\Platform\Event\Scheduler\ScheduledEvent;

interface SchedulePolicyInterface
{
    public function name(): string;
    public function apply(ScheduledEvent $event): ScheduledEvent;
}
